Summary: Display new system news at login.
Name: sysnews
Packager: Riku Meskanen <mesrik@cc.jyu.fi>
Version: 0.8
Release: 6
Copyright: distributable
Source: ftp://sunsite.unc.edu:/pub/Linux/system/Admin/login/news-0.8.tgz
Group: Utilities/System
Requires: setup >= 1.7
Requires: crontabs >= 1.5
Requires: sh-utils

%description
This program is used to display system related news to the users at login.
it should be placed in the system-wide startup file of the shells available
on the system. (/etc/profile for bash/sh, /etc/csh.login for csh/tcsh,
/etc/zprofile for zsh, etc..), so its executed every time a user logs in.
(i suggest to use `news -n', that way only article titles will be displayed
and the user can decide when s/he wants to read it)
the system news is kept in a directory /var/sysnews (this can be changed)
where each sysnews article is a separate file (with the filename being
the sysnews title.)
to add a system news article, just edit one with your favorite editor
and copy it /var/sysnews

read the man-page for more details.

Charles.
(int@link.xs4all.nl)

%prep
%setup -n sysnews

%build
make

%install
make install
mkdir -p /var/sysnews
cat <<EOF >/etc/profile.d/news.sh
if [ -t ]; then
     if [ ! -f \$HOME/.news_time ]; then
	cat <<-NEWUSER

	Tip:	Use "news" command to view system news when
	        available. See "man news" for more details.

	NEWUSER
     fi
     news -s
fi
EOF
cat <<EOF >/etc/profile.d/news.csh
/usr/bin/tty -s >& /dev/null
if ( ! \$status ) then
   if (! -f ~/.news_time ) then
	cat <<NEWUSER

Tip:	Use "news" command to view system news when
        available. See "man news" for more details.

NEWUSER
   endif
   news -s
endif
EOF
chmod 755 /etc/profile.d/news.{,c}sh
cat <<EOF >/etc/cron.daily/sysnews.cron
#!/bin/sh
#
# expire sysnews messages
#
PATH="/bin:/usr/bin:/sbin:/usr/sbin"
FS=""
export PATH FS

find /var/sysnews -xdev -mtime +30 | xargs rm -f

#eof
EOF
chmod 755 /etc/cron.daily/sysnews.cron

%post

%files
%doc README
%dir /var/sysnews
/usr/local/bin/news
/usr/local/man/man1/news.1
/etc/profile.d/news.sh
/etc/profile.d/news.csh
/etc/cron.daily/sysnews.cron

